backend:
  api_root: https://git.logic.at/api/v4
  app_id: c00f37e279ec646718bee73dfe5f4f9e21868c1f7d92aa6d2d8492bd86af4b59
  auth_endpoint: oauth/authorize
  auth_type: pkce
  base_url: https://git.logic.at
  branch: main
  commit_messages:
    create: Create {{collection}} “{{slug}}”
    delete: Delete {{collection}} “{{slug}}”
    deletemedia: '[skip ci] Delete “{{path}}”'
    update: Update {{collection}} “{{slug}}”
    uploadmedia: '[skip ci] Upload “{{path}}”'
  name: gitlab
  repo: logic-admin/kgs/kgs-website
collections:
- create: true
  description: |
    The description is a great place for tone setting, high level information, and editing guidelines that are specific to a collection.
  editor:
    visualEditing: true
  extension: md
  fields:
  - label: Title
    name: title
    tagname: h1
    widget: string
  - default: false
    label: Draft
    name: draft
    widget: boolean
  - default: '{{now}}'
    format: YYYY-MM-DD
    label: Publish Date
    name: date
    widget: datetime
  - label: Cover Image
    name: image
    required: false
    tagname: ''
    widget: image
  - hint: Main content goes here.
    label: Body
    name: body
    widget: markdown
  - fields:
    - hint: First and Last
      label: Name
      name: name
      widget: string
    - label: Description
      name: description
      widget: markdown
    label: Authors
    label_singular: Author
    name: authors
    required: false
    widget: list
  folder: content
  label: Pages
  label_singular: Page
  meta:
    path:
      index_file: _index
      label: Path
      widget: string
  name: pages
  nested:
    depth: 100
    subfolders: false
  path: '{{slug}}/_index'
  summary: '{{title}} -- {{year}}/{{month}}/{{day}}'
- delete: false
  editor:
    preview: false
  files:
  - description: General Site Settings
    fields:
    - label: Global title
      name: site_title
      widget: string
    - fields:
      - label: Number of posts on frontpage
        max: 10
        min: 1
        name: front_limit
        widget: number
      - label: Default Author
        name: author
        widget: string
      - class: thumb
        label: Default Thumbnail
        name: thumb
        required: false
        widget: image
      label: Post Settings
      name: posts
      widget: object
    file: _data/settings.json
    label: Site Settings
    name: general
  - description: Author descriptions
    fields:
    - fields:
      - hint: First and Last
        label: Name
        name: name
        widget: string
      - label: Description
        name: description
        widget: markdown
      label: Authors
      label_singular: Author
      name: authors
      widget: list
    file: _data/authors.yml
    label: Authors
    name: authors
  label: 'Settings - !Work in Progress!'
  name: settings
- create: true
  description: 'Contains all menu items that can be added in a post -> TODO: Create settings to enable/disable those fields in post editing\n'
  fields:
  - collection: posts
    display_fields:
    - title
    - datetime
    label: Related Post
    name: post
    search_fields:
    - title
    - body
    value_field: title
    widget: relationKitchenSinkPost
  - label: Title
    name: title
    widget: string
  - default: true
    label: Boolean
    name: boolean
    widget: boolean
  - label: Map
    name: map
    widget: map
  - hint: Plain text, not markdown
    label: Text
    name: text
    widget: text
  - hint: To infinity and beyond!
    label: Number
    name: number
    widget: number
  - label: Markdown
    name: markdown
    widget: markdown
  - label: Datetime
    name: datetime
    widget: datetime
  - label: Image
    name: image
    widget: image
  - label: File
    name: file
    widget: file
  - label: Select
    name: select
    options:
    - a
    - b
    - c
    widget: select
  - label: Select multiple
    multiple: true
    name: select_multiple
    options:
    - a
    - b
    - c
    widget: select
  - default: hidden
    label: Hidden
    name: hidden
    widget: hidden
  - label: Color
    name: color
    widget: color
  - collapsed: true
    fields:
    - collection: posts
      label: Related Post
      name: post
      search_fields:
      - title
      - body
      value_field: title
      widget: relationKitchenSinkPost
    - label: String
      name: string
      widget: string
    - default: false
      label: Boolean
      name: boolean
      widget: boolean
    - label: Text
      name: text
      widget: text
    - label: Number
      name: number
      widget: number
    - label: Markdown
      name: markdown
      widget: markdown
    - label: Datetime
      name: datetime
      widget: datetime
    - label: Image
      name: image
      widget: image
    - label: File
      name: file
      widget: file
    - label: Select
      name: select
      options:
      - a
      - b
      - c
      widget: select
    label: Object
    name: object
    widget: object
  - fields:
    - label: String
      name: string
      widget: string
    - label: Boolean
      name: boolean
      widget: boolean
    - label: Text
      name: text
      widget: text
    - label: Number
      name: number
      widget: number
    - label: Markdown
      name: markdown
      widget: markdown
    - label: Datetime
      name: datetime
      widget: datetime
    - label: Image
      name: image
      widget: image
    - label: File
      name: file
      widget: file
    - label: Select
      name: select
      options:
      - a
      - b
      - c
      widget: select
    - fields:
      - label: String
        name: string
        widget: string
      - label: Boolean
        name: boolean
        widget: boolean
      - label: Text
        name: text
        widget: text
      - label: Number
        name: number
        widget: number
      - label: Markdown
        name: markdown
        widget: markdown
      - label: Datetime
        name: datetime
        widget: datetime
      - label: Image
        name: image
        widget: image
      - label: File
        name: file
        widget: file
      - label: Select
        name: select
        options:
        - a
        - b
        - c
        widget: select
      - fields:
        - collection: posts
          label: Related Post
          name: post
          search_fields:
          - title
          - body
          value_field: title
          widget: relationKitchenSinkPost
        - label: String
          name: string
          widget: string
        - label: Boolean
          name: boolean
          widget: boolean
        - label: Text
          name: text
          widget: text
        - label: Number
          name: number
          widget: number
        - label: Markdown
          name: markdown
          widget: markdown
        - label: Datetime
          name: datetime
          widget: datetime
        - label: Image
          name: image
          widget: image
        - label: File
          name: file
          widget: file
        - label: Select
          name: select
          options:
          - a
          - b
          - c
          widget: select
        - default: hidden
          label: Hidden
          name: hidden
          widget: hidden
        - fields:
          - label: String
            name: string
            widget: string
          - label: Boolean
            name: boolean
            widget: boolean
          - label: Text
            name: text
            widget: text
          - label: Number
            name: number
            widget: number
          - label: Markdown
            name: markdown
            widget: markdown
          - label: Datetime
            name: datetime
            widget: datetime
          - label: Image
            name: image
            widget: image
          - label: File
            name: file
            widget: file
          - label: Select
            name: select
            options:
            - a
            - b
            - c
            widget: select
          label: Object
          name: object
          widget: object
        label: List
        name: list
        widget: list
      label: Object
      name: object
      widget: object
    label: List
    name: list
    widget: list
  - label: Typed List
    name: typed_list
    types:
    - fields:
      - label: String
        name: string
        widget: string
      - label: Boolean
        name: boolean
        widget: boolean
      - label: Text
        name: text
        widget: text
      label: Type 1 Object
      name: type_1_object
      widget: object
    - fields:
      - label: Number
        name: number
        widget: number
      - label: Select
        name: select
        options:
        - a
        - b
        - c
        widget: select
      - label: Datetime
        name: datetime
        widget: datetime
      - label: Markdown
        name: markdown
        widget: markdown
      label: Type 2 Object
      name: type_2_object
      widget: object
    - fields:
      - label: Image
        name: image
        widget: image
      - label: File
        name: file
        widget: file
      label: Type 3 Object
      name: type_3_object
      widget: object
    widget: list
  folder: content/items
  label: Other Items
  label_singular: Item
  name: items
  path: '{{slug}}/_index'
locale: en
media_folder: static/uploads
public_folder: /uploads
search: 'true'
site_url: https://kgs-dev.logic.at/
